Missing module name ==> tests & macros were not installed under Linux
[scilab.git] / scilab / modules / ast / Makefile.in
1 # Makefile.in generated by automake 1.13.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
19 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
20 #
21 # This file must be used under the terms of the CeCILL.
22 # This source file is licensed as described in the file COPYING, which
23 # you should have received as part of this distribution.  The terms
24 # are also available at
25 # http://www.cecill.info/licences/Licence_CeCILL_V2.1-en.txt
26 #
27
28 ##########
29 ### Makefile included stuff
30 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
31 ##########
32
33
34
35 VPATH = @srcdir@
36 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
37 am__make_running_with_option = \
38   case $${target_option-} in \
39       ?) ;; \
40       *) echo "am__make_running_with_option: internal error: invalid" \
41               "target option '$${target_option-}' specified" >&2; \
42          exit 1;; \
43   esac; \
44   has_opt=no; \
45   sane_makeflags=$$MAKEFLAGS; \
46   if $(am__is_gnu_make); then \
47     sane_makeflags=$$MFLAGS; \
48   else \
49     case $$MAKEFLAGS in \
50       *\\[\ \   ]*) \
51         bs=\\; \
52         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
53           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
54     esac; \
55   fi; \
56   skip_next=no; \
57   strip_trailopt () \
58   { \
59     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
60   }; \
61   for flg in $$sane_makeflags; do \
62     test $$skip_next = yes && { skip_next=no; continue; }; \
63     case $$flg in \
64       *=*|--*) continue;; \
65         -*I) strip_trailopt 'I'; skip_next=yes;; \
66       -*I?*) strip_trailopt 'I';; \
67         -*O) strip_trailopt 'O'; skip_next=yes;; \
68       -*O?*) strip_trailopt 'O';; \
69         -*l) strip_trailopt 'l'; skip_next=yes;; \
70       -*l?*) strip_trailopt 'l';; \
71       -[dEDm]) skip_next=yes;; \
72       -[JT]) skip_next=yes;; \
73     esac; \
74     case $$flg in \
75       *$$target_option*) has_opt=yes; break;; \
76     esac; \
77   done; \
78   test $$has_opt = yes
79 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
80 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
81 pkgdatadir = $(datadir)/@PACKAGE@
82 pkgincludedir = $(includedir)/@PACKAGE@
83 pkglibdir = $(libdir)/@PACKAGE@
84 pkglibexecdir = $(libexecdir)/@PACKAGE@
85 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
86 install_sh_DATA = $(install_sh) -c -m 644
87 install_sh_PROGRAM = $(install_sh) -c
88 install_sh_SCRIPT = $(install_sh) -c
89 INSTALL_HEADER = $(INSTALL_DATA)
90 transform = $(program_transform_name)
91 NORMAL_INSTALL = :
92 PRE_INSTALL = :
93 POST_INSTALL = :
94 NORMAL_UNINSTALL = :
95 PRE_UNINSTALL = :
96 POST_UNINSTALL = :
97 build_triplet = @build@
98 host_triplet = @host@
99 DIST_COMMON = $(top_srcdir)/Makefile.incl.am $(srcdir)/Makefile.in \
100         $(srcdir)/Makefile.am $(top_srcdir)/config/mkinstalldirs \
101         $(top_srcdir)/config/depcomp $(libsciast_la_include_HEADERS)
102 @NEED_JAVA_TRUE@am__append_1 = java
103 subdir = modules/ast
104 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
105 am__aclocal_m4_deps = $(top_srcdir)/m4/backtrace.m4 \
106         $(top_srcdir)/m4/compiler.m4 $(top_srcdir)/m4/curl.m4 \
107         $(top_srcdir)/m4/docbook.m4 $(top_srcdir)/m4/doxygen.m4 \
108         $(top_srcdir)/m4/eigen.m4 $(top_srcdir)/m4/fftw.m4 \
109         $(top_srcdir)/m4/fortran.m4 $(top_srcdir)/m4/giws.m4 \
110         $(top_srcdir)/m4/hdf5.m4 $(top_srcdir)/m4/intel_compiler.m4 \
111         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
112         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
113         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
114         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
115         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
116         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
117         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
118         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
119         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
120         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
121         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
122 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
123         $(ACLOCAL_M4)
124 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
125 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
126 CONFIG_CLEAN_FILES =
127 CONFIG_CLEAN_VPATH_FILES =
128 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
129 am__vpath_adj = case $$p in \
130     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
131     *) f=$$p;; \
132   esac;
133 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
134 am__install_max = 40
135 am__nobase_strip_setup = \
136   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
137 am__nobase_strip = \
138   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
139 am__nobase_list = $(am__nobase_strip_setup); \
140   for p in $$list; do echo "$$p $$p"; done | \
141   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
142   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
143     if (++n[$$2] == $(am__install_max)) \
144       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
145     END { for (dir in files) print dir, files[dir] }'
146 am__base_list = \
147   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
148   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
149 am__uninstall_files_from_dir = { \
150   test -z "$$files" \
151     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
152     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
153          $(am__cd) "$$dir" && rm -f $$files; }; \
154   }
155 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
156         "$(DESTDIR)$(libsciast_la_etcdir)" \
157         "$(DESTDIR)$(libsciast_la_includedir)"
158 LTLIBRARIES = $(pkglib_LTLIBRARIES)
159 libsciast_la_LIBADD =
160 am_libsciast_la_OBJECTS = libsciast_la-libAst.lo \
161         libsciast_la-visitor_common.lo libsciast_la-printvisitor.lo \
162         libsciast_la-debugvisitor.lo libsciast_la-mutevisitor.lo \
163         libsciast_la-shortcutvisitor.lo \
164         libsciast_la-scilabexception.lo \
165         libsciast_la-macrovarvisitor.lo
166 libsciast_la_OBJECTS = $(am_libsciast_la_OBJECTS)
167 AM_V_lt = $(am__v_lt_@AM_V@)
168 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
169 am__v_lt_0 = --silent
170 am__v_lt_1 = 
171 AM_V_P = $(am__v_P_@AM_V@)
172 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
173 am__v_P_0 = false
174 am__v_P_1 = :
175 AM_V_GEN = $(am__v_GEN_@AM_V@)
176 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
177 am__v_GEN_0 = @echo "  GEN     " $@;
178 am__v_GEN_1 = 
179 AM_V_at = $(am__v_at_@AM_V@)
180 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
181 am__v_at_0 = @
182 am__v_at_1 = 
183 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
184 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
185 am__depfiles_maybe = depfiles
186 am__mv = mv -f
187 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
188         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
189 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
190         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
191         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
192         $(AM_CXXFLAGS) $(CXXFLAGS)
193 AM_V_CXX = $(am__v_CXX_@AM_V@)
194 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
195 am__v_CXX_0 = @echo "  CXX     " $@;
196 am__v_CXX_1 = 
197 CXXLD = $(CXX)
198 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
199         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
200         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
201 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
202 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
203 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
204 am__v_CXXLD_1 = 
205 SOURCES = $(libsciast_la_SOURCES)
206 DIST_SOURCES = $(libsciast_la_SOURCES)
207 am__can_run_installinfo = \
208   case $$AM_UPDATE_INFO_DIR in \
209     n|no|NO) false;; \
210     *) (install-info --version) >/dev/null 2>&1;; \
211   esac
212 DATA = $(libsciast_la_etc_DATA)
213 HEADERS = $(libsciast_la_include_HEADERS)
214 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
215 # Read a list of newline-separated strings from the standard input,
216 # and print each of them once, without duplicates.  Input order is
217 # *not* preserved.
218 am__uniquify_input = $(AWK) '\
219   BEGIN { nonempty = 0; } \
220   { items[$$0] = 1; nonempty = 1; } \
221   END { if (nonempty) { for (i in items) print i; }; } \
222 '
223 # Make sure the list of sources is unique.  This is necessary because,
224 # e.g., the same source file might be shared among _SOURCES variables
225 # for different programs/libraries.
226 am__define_uniq_tagged_files = \
227   list='$(am__tagged_files)'; \
228   unique=`for i in $$list; do \
229     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
230   done | $(am__uniquify_input)`
231 ETAGS = etags
232 CTAGS = ctags
233 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
234 ACLOCAL = @ACLOCAL@
235 ALL_LINGUAS = @ALL_LINGUAS@
236 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
237 AMTAR = @AMTAR@
238 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
239 ANT = @ANT@
240 ANTLR = @ANTLR@
241 AR = @AR@
242 ARPACK_LIBS = @ARPACK_LIBS@
243 ASM3 = @ASM3@
244 AUTOCONF = @AUTOCONF@
245 AUTOHEADER = @AUTOHEADER@
246 AUTOMAKE = @AUTOMAKE@
247 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
248 AWK = @AWK@
249 BATIK = @BATIK@
250 BLAS_LIBS = @BLAS_LIBS@
251 CC = @CC@
252 CCACHE = @CCACHE@
253 CCDEPMODE = @CCDEPMODE@
254 CFLAGS = @CFLAGS@
255 CHECKSTYLE = @CHECKSTYLE@
256 COBERTURA = @COBERTURA@
257 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
258 COMMONS_IO = @COMMONS_IO@
259 COMMONS_LOGGING = @COMMONS_LOGGING@
260 CPP = @CPP@
261 CPPFLAGS = @CPPFLAGS@
262 CURL_CFLAGS = @CURL_CFLAGS@
263 CURL_CONFIG = @CURL_CONFIG@
264 CURL_LIBS = @CURL_LIBS@
265 CURL_VERSION = @CURL_VERSION@
266 CXX = @CXX@
267 CXXCPP = @CXXCPP@
268 CXXDEPMODE = @CXXDEPMODE@
269 CXXFLAGS = @CXXFLAGS@
270 CYGPATH_W = @CYGPATH_W@
271 DEFS = @DEFS@
272 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
273 DEPDIR = @DEPDIR@
274 DOCBOOK_ROOT = @DOCBOOK_ROOT@
275 DOXYGEN_BIN = @DOXYGEN_BIN@
276 DSYMUTIL = @DSYMUTIL@
277 DUMPBIN = @DUMPBIN@
278 ECHO_C = @ECHO_C@
279 ECHO_N = @ECHO_N@
280 ECHO_T = @ECHO_T@
281 EGREP = @EGREP@
282 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
283 EXEEXT = @EXEEXT@
284 F77 = @F77@
285 FFLAGS = @FFLAGS@
286 FFTW3_LIB = @FFTW3_LIB@
287 FFTW_ENABLE = @FFTW_ENABLE@
288 FGREP = @FGREP@
289 FLEXDOCK = @FLEXDOCK@
290 FLIBS = @FLIBS@
291 FOP = @FOP@
292 GENHTML = @GENHTML@
293 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
294 GIWS_BIN = @GIWS_BIN@
295 GLUEGEN2_RT = @GLUEGEN2_RT@
296 GMSGFMT = @GMSGFMT@
297 GMSGFMT_015 = @GMSGFMT_015@
298 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
299 GREP = @GREP@
300 GUI_ENABLE = @GUI_ENABLE@
301 HDF5_CFLAGS = @HDF5_CFLAGS@
302 HDF5_LIBS = @HDF5_LIBS@
303 HELP_ENABLE = @HELP_ENABLE@
304 INSTALL = @INSTALL@
305 INSTALL_DATA = @INSTALL_DATA@
306 INSTALL_PROGRAM = @INSTALL_PROGRAM@
307 INSTALL_SCRIPT = @INSTALL_SCRIPT@
308 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
309 INTLLIBS = @INTLLIBS@
310 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
311 JAR = @JAR@
312 JAVA = @JAVA@
313 JAVAC = @JAVAC@
314 JAVAC_DEBUG = @JAVAC_DEBUG@
315 JAVADOC = @JAVADOC@
316 JAVAH = @JAVAH@
317 JAVASCI_ENABLE = @JAVASCI_ENABLE@
318 JAVA_ENABLE = @JAVA_ENABLE@
319 JAVA_G = @JAVA_G@
320 JAVA_HOME = @JAVA_HOME@
321 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
322 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
323 JDB = @JDB@
324 JEUCLID_CORE = @JEUCLID_CORE@
325 JGRAPHX = @JGRAPHX@
326 JHALL = @JHALL@
327 JLATEXMATH = @JLATEXMATH@
328 JLATEXMATH_FOP = @JLATEXMATH_FOP@
329 JOGL2 = @JOGL2@
330 JROSETTA_API = @JROSETTA_API@
331 JROSETTA_ENGINE = @JROSETTA_ENGINE@
332 JUNIT4 = @JUNIT4@
333 LAPACK_LIBS = @LAPACK_LIBS@
334 LCOV = @LCOV@
335 LD = @LD@
336 LDFLAGS = @LDFLAGS@
337 LEX = @LEX@
338 LEXLIB = @LEXLIB@
339 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
340 LIBICONV = @LIBICONV@
341 LIBINTL = @LIBINTL@
342 LIBM = @LIBM@
343 LIBOBJS = @LIBOBJS@
344 LIBS = @LIBS@
345 LIBTOOL = @LIBTOOL@
346 LIPO = @LIPO@
347 LN_S = @LN_S@
348 LOGGING_LEVEL = @LOGGING_LEVEL@
349 LOOKS = @LOOKS@
350 LTLIBICONV = @LTLIBICONV@
351 LTLIBINTL = @LTLIBINTL@
352 LTLIBOBJS = @LTLIBOBJS@
353 MAINT = @MAINT@
354 MAKEINFO = @MAKEINFO@
355 MATIO_CFLAGS = @MATIO_CFLAGS@
356 MATIO_ENABLE = @MATIO_ENABLE@
357 MATIO_LIBS = @MATIO_LIBS@
358 MKDIR_P = @MKDIR_P@
359 MPI_ENABLE = @MPI_ENABLE@
360 MSGCAT = @MSGCAT@
361 MSGFMT = @MSGFMT@
362 MSGFMT_015 = @MSGFMT_015@
363 MSGMERGE = @MSGMERGE@
364 NM = @NM@
365 NMEDIT = @NMEDIT@
366 OBJDUMP = @OBJDUMP@
367 OBJEXT = @OBJEXT@
368 OCAMLC = @OCAMLC@
369 OCAMLDEP = @OCAMLDEP@
370 OCAMLLEX = @OCAMLLEX@
371 OCAMLOPT = @OCAMLOPT@
372 OCAMLYACC = @OCAMLYACC@
373 OPENMPI_CC = @OPENMPI_CC@
374 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
375 OPENMPI_CXX = @OPENMPI_CXX@
376 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
377 OPENMPI_LIBS = @OPENMPI_LIBS@
378 OPENMP_CFLAGS = @OPENMP_CFLAGS@
379 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
380 OPENMP_ENABLE = @OPENMP_ENABLE@
381 OPENMP_LIBS = @OPENMP_LIBS@
382 OTOOL = @OTOOL@
383 OTOOL64 = @OTOOL64@
384 PACKAGE = @PACKAGE@
385 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
386 PACKAGE_NAME = @PACKAGE_NAME@
387 PACKAGE_STRING = @PACKAGE_STRING@
388 PACKAGE_TARNAME = @PACKAGE_TARNAME@
389 PACKAGE_URL = @PACKAGE_URL@
390 PACKAGE_VERSION = @PACKAGE_VERSION@
391 PATH_SEPARATOR = @PATH_SEPARATOR@
392 PCRE_CFLAGS = @PCRE_CFLAGS@
393 PCRE_CONFIG = @PCRE_CONFIG@
394 PCRE_LIBS = @PCRE_LIBS@
395 PCRE_VERSION = @PCRE_VERSION@
396 PKG_CONFIG = @PKG_CONFIG@
397 POSUB = @POSUB@
398 POW_LIB = @POW_LIB@
399 PYTHON = @PYTHON@
400 RANLIB = @RANLIB@
401 RELOCATABLE = @RELOCATABLE@
402 RT_LIB = @RT_LIB@
403 SAXON = @SAXON@
404 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
405 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
406 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
407 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
408 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
409 SCIRENDERER = @SCIRENDERER@
410 SCIRENDERER_CP = @SCIRENDERER_CP@
411 SCI_CFLAGS = @SCI_CFLAGS@
412 SCI_CXXFLAGS = @SCI_CXXFLAGS@
413 SCI_FFLAGS = @SCI_FFLAGS@
414 SCI_LDFLAGS = @SCI_LDFLAGS@
415 SED = @SED@
416 SET_MAKE = @SET_MAKE@
417 SET_RELOCATABLE = @SET_RELOCATABLE@
418 SHELL = @SHELL@
419 SKINLF = @SKINLF@
420 SPLINT = @SPLINT@
421 STRIP = @STRIP@
422 SWIG_BIN = @SWIG_BIN@
423 SWIG_JAVA = @SWIG_JAVA@
424 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
425 SWIG_SCILAB = @SWIG_SCILAB@
426 TCLTK_LIBS = @TCLTK_LIBS@
427 TCL_INC_PATH = @TCL_INC_PATH@
428 TK_INC_PATH = @TK_INC_PATH@
429 UMFPACK_ENABLE = @UMFPACK_ENABLE@
430 UMFPACK_LIB = @UMFPACK_LIB@
431 USE_NLS = @USE_NLS@
432 VERSION = @VERSION@
433 WITH_OCAML = @WITH_OCAML@
434 WITH_TKSCI = @WITH_TKSCI@
435 XCOS_ENABLE = @XCOS_ENABLE@
436 XGETTEXT = @XGETTEXT@
437 XGETTEXT_015 = @XGETTEXT_015@
438 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
439 XMKMF = @XMKMF@
440 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
441 XML_APIS_EXT = @XML_APIS_EXT@
442 XML_CONFIG = @XML_CONFIG@
443 XML_FLAGS = @XML_FLAGS@
444 XML_LIBS = @XML_LIBS@
445 XML_VERSION = @XML_VERSION@
446 X_CFLAGS = @X_CFLAGS@
447 X_EXTRA_LIBS = @X_EXTRA_LIBS@
448 X_LIBS = @X_LIBS@
449 X_PRE_LIBS = @X_PRE_LIBS@
450 YACC = @YACC@
451 YFLAGS = @YFLAGS@
452 abs_builddir = @abs_builddir@
453 abs_srcdir = @abs_srcdir@
454 abs_top_builddir = @abs_top_builddir@
455 abs_top_srcdir = @abs_top_srcdir@
456 ac_ct_AR = @ac_ct_AR@
457 ac_ct_CC = @ac_ct_CC@
458 ac_ct_CXX = @ac_ct_CXX@
459 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
460 ac_ct_F77 = @ac_ct_F77@
461 am__include = @am__include@
462 am__leading_dot = @am__leading_dot@
463 am__quote = @am__quote@
464 am__tar = @am__tar@
465 am__untar = @am__untar@
466 bindir = @bindir@
467 build = @build@
468 build_alias = @build_alias@
469 build_cpu = @build_cpu@
470 build_os = @build_os@
471 build_vendor = @build_vendor@
472 builddir = @builddir@
473 cxx_present = @cxx_present@
474 datadir = @datadir@
475 datarootdir = @datarootdir@
476 docdir = @docdir@
477 dvidir = @dvidir@
478 exec_prefix = @exec_prefix@
479 host = @host@
480 host_alias = @host_alias@
481 host_cpu = @host_cpu@
482 host_os = @host_os@
483 host_vendor = @host_vendor@
484 htmldir = @htmldir@
485 includedir = @includedir@
486 infodir = @infodir@
487 install_sh = @install_sh@
488 libdir = @libdir@
489 libexecdir = @libexecdir@
490 localedir = @localedir@
491 localstatedir = @localstatedir@
492 mandir = @mandir@
493 mkdir_p = @mkdir_p@
494 oldincludedir = @oldincludedir@
495 pdfdir = @pdfdir@
496 prefix = @prefix@
497 program_transform_name = @program_transform_name@
498 psdir = @psdir@
499 sbindir = @sbindir@
500 sharedstatedir = @sharedstatedir@
501 srcdir = @srcdir@
502 sysconfdir = @sysconfdir@
503 target_alias = @target_alias@
504 top_build_prefix = @top_build_prefix@
505 top_builddir = @top_builddir@
506 top_srcdir = @top_srcdir@
507 yacc_present = @yacc_present@
508 pkglib_LTLIBRARIES = libsciast.la
509 libsciast_la_SOURCES = \
510         src/cpp/libAst.cpp \
511         src/cpp/visitor_common.cpp \
512         src/cpp/printvisitor.cpp \
513         src/cpp/debugvisitor.cpp \
514         src/cpp/mutevisitor.cpp \
515         src/cpp/shortcutvisitor.cpp \
516         src/cpp/scilabexception.cpp \
517         src/cpp/macrovarvisitor.cpp
518
519 libsciast_la_CPPFLAGS = \
520         -Iincludes \
521         -Isrc/cpp \
522     -I$(top_srcdir)/modules/dynamic_link/includes \
523     -I$(top_srcdir)/modules/symbol/includes \
524         -I$(top_srcdir)/modules/types/includes \
525         -I$(top_srcdir)/modules/functions_manager/includes \
526         -I$(top_srcdir)/modules/console/includes \
527         -I$(top_srcdir)/modules/elementary_functions/includes \
528         -I$(top_srcdir)/modules/operations/includes \
529         -I$(top_srcdir)/modules/output_stream/includes \
530         -I$(top_srcdir)/modules/system_env/includes \
531         -I$(top_srcdir)/modules/api_scilab/includes \
532         -I$(top_srcdir)/modules/string/includes \
533         -I$(top_srcdir)/modules/threads/includes \
534         -I$(top_srcdir)/modules/localization/includes \
535     $(EIGEN_CPPFLAGS) \
536         $(AM_CPPFLAGS)
537
538 libsciast_la_includedir = $(pkgincludedir)
539 libsciast_la_include_HEADERS = 
540
541 #### Target ######
542 modulename = ast
543
544 ####io : init scripts ####
545 libsciast_la_etcdir = $(mydatadir)/etc
546 libsciast_la_etc_DATA = etc/ast.quit etc/ast.start
547
548 # Where all the Scilab stuff is installed (macros, help, ...)
549 mydatadir = $(pkgdatadir)/modules/$(modulename)
550
551 # Set AM_* SCI detected settings
552 AM_CPPFLAGS = $(SCI_CPPFLAGS)
553 AM_CFLAGS = $(SCI_CFLAGS)
554 AM_CXXFLAGS = $(SCI_CXXFLAGS)
555 # append includes to AM_FFLAGS to manage fortran includes
556 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
557
558 # Tag shared libraries with the Scilab version
559 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
560
561 # splint options
562 SPLINT_OPTIONS = -weak -booltype BOOL
563
564 ########################### JAVA ######################################
565 #### We are delegating java compilation to ant... Thanks to that
566 #### the procedure will be the same with Microsoft Windows (C)
567 #### and Linux/Unix
568 #######################################################################
569 TARGETS_ALL = $(am__append_1)
570
571 ################ MACROS ######################
572 # Rule to build a macro
573 # NOT USED  AT THE MOMENT
574 SUFFIXES = .sci 
575
576 ########### INSTALL DOCUMENTATION ###################
577
578 # Install documentation files into the right target
579 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
580 # automake needs the html files to be present which is not the case when
581 # we are building Scilab
582
583 # Where it should be installed
584 pkgdocdir = $(mydatadir)
585
586 # What is the mask of the help source
587 DOCMASKXML = *.xml
588
589 # What is the mask of the MathML sources
590 DOCMASKMML = *.mml
591
592 ########### INSTALL DATA ###################
593 # Install macros, help & demos
594 # Where it should be installed
595 pkgmacrosdir = $(mydatadir)
596 # Which directory we process
597 MACRODIRS = macros/
598 # Mask of the Scilab sources macros
599 MACROMASK = *.sci
600 # Mask of the Scilab executable sources macros
601 MACROBUILDMASK = *.sce
602 # Mask of the Scilab compiled macros
603 MACROBINMASK = *.bin
604 # List of the standard directory for tests
605 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
606 # Where the demos should be installed
607 pkgdemosdir = $(mydatadir)
608 # List of the standard directory for demos
609 DEMOS_DIR = demos
610 # List of the standard directory for examples
611 EXAMPLES_DIR = examples
612 # Where to export JAVA archives (.jar)
613 JARDIR = jar/
614 # JAR files mask
615 JARMASK = *.jar
616 # Chapter file 
617 HELP_CHAPTERDIR = help/
618 HELP_CHAPTERFILE = addchapter.sce
619 HELP_CHAPTERLANG = en_US fr_FR pt_BR
620 all: all-am
621
622 .SUFFIXES:
623 .SUFFIXES: .sci .bin .cpp .lo .o .obj
624 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
625         @for dep in $?; do \
626           case '$(am__configure_deps)' in \
627             *$$dep*) \
628               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
629                 && { if test -f $@; then exit 0; else break; fi; }; \
630               exit 1;; \
631           esac; \
632         done; \
633         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/ast/Makefile'; \
634         $(am__cd) $(top_srcdir) && \
635           $(AUTOMAKE) --foreign modules/ast/Makefile
636 .PRECIOUS: Makefile
637 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
638         @case '$?' in \
639           *config.status*) \
640             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
641           *) \
642             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
643             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
644         esac;
645 $(top_srcdir)/Makefile.incl.am:
646
647 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
648         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
649
650 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
651         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
652 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
653         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
654 $(am__aclocal_m4_deps):
655
656 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
657         @$(NORMAL_INSTALL)
658         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
659         list2=; for p in $$list; do \
660           if test -f $$p; then \
661             list2="$$list2 $$p"; \
662           else :; fi; \
663         done; \
664         test -z "$$list2" || { \
665           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
666           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
667           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
668           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
669         }
670
671 uninstall-pkglibLTLIBRARIES:
672         @$(NORMAL_UNINSTALL)
673         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
674         for p in $$list; do \
675           $(am__strip_dir) \
676           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
677           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
678         done
679
680 clean-pkglibLTLIBRARIES:
681         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
682         @list='$(pkglib_LTLIBRARIES)'; \
683         locs=`for p in $$list; do echo $$p; done | \
684               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
685               sort -u`; \
686         test -z "$$locs" || { \
687           echo rm -f $${locs}; \
688           rm -f $${locs}; \
689         }
690
691 libsciast.la: $(libsciast_la_OBJECTS) $(libsciast_la_DEPENDENCIES) $(EXTRA_libsciast_la_DEPENDENCIES) 
692         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libsciast_la_OBJECTS) $(libsciast_la_LIBADD) $(LIBS)
693
694 mostlyclean-compile:
695         -rm -f *.$(OBJEXT)
696
697 distclean-compile:
698         -rm -f *.tab.c
699
700 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-debugvisitor.Plo@am__quote@
701 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-libAst.Plo@am__quote@
702 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-macrovarvisitor.Plo@am__quote@
703 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-mutevisitor.Plo@am__quote@
704 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-printvisitor.Plo@am__quote@
705 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-scilabexception.Plo@am__quote@
706 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-shortcutvisitor.Plo@am__quote@
707 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libsciast_la-visitor_common.Plo@am__quote@
708
709 .cpp.o:
710 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
711 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
712 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
713 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
714 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
715
716 .cpp.obj:
717 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
718 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
719 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
720 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
721 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
722
723 .cpp.lo:
724 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LTCXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
725 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
726 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
727 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
728 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
729
730 libsciast_la-libAst.lo: src/cpp/libAst.cpp
731 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-libAst.lo -MD -MP -MF $(DEPDIR)/libsciast_la-libAst.Tpo -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
732 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-libAst.Tpo $(DEPDIR)/libsciast_la-libAst.Plo
733 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/libAst.cpp' object='libsciast_la-libAst.lo' libtool=yes @AMDEPBACKSLASH@
734 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
735 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-libAst.lo `test -f 'src/cpp/libAst.cpp' || echo '$(srcdir)/'`src/cpp/libAst.cpp
736
737 libsciast_la-visitor_common.lo: src/cpp/visitor_common.cpp
738 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-visitor_common.lo -MD -MP -MF $(DEPDIR)/libsciast_la-visitor_common.Tpo -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
739 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-visitor_common.Tpo $(DEPDIR)/libsciast_la-visitor_common.Plo
740 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/visitor_common.cpp' object='libsciast_la-visitor_common.lo' libtool=yes @AMDEPBACKSLASH@
741 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
742 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-visitor_common.lo `test -f 'src/cpp/visitor_common.cpp' || echo '$(srcdir)/'`src/cpp/visitor_common.cpp
743
744 libsciast_la-printvisitor.lo: src/cpp/printvisitor.cpp
745 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-printvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-printvisitor.Tpo -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
746 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-printvisitor.Tpo $(DEPDIR)/libsciast_la-printvisitor.Plo
747 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/printvisitor.cpp' object='libsciast_la-printvisitor.lo' libtool=yes @AMDEPBACKSLASH@
748 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
749 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-printvisitor.lo `test -f 'src/cpp/printvisitor.cpp' || echo '$(srcdir)/'`src/cpp/printvisitor.cpp
750
751 libsciast_la-debugvisitor.lo: src/cpp/debugvisitor.cpp
752 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-debugvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-debugvisitor.Tpo -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
753 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-debugvisitor.Tpo $(DEPDIR)/libsciast_la-debugvisitor.Plo
754 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/debugvisitor.cpp' object='libsciast_la-debugvisitor.lo' libtool=yes @AMDEPBACKSLASH@
755 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
756 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-debugvisitor.lo `test -f 'src/cpp/debugvisitor.cpp' || echo '$(srcdir)/'`src/cpp/debugvisitor.cpp
757
758 libsciast_la-mutevisitor.lo: src/cpp/mutevisitor.cpp
759 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-mutevisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-mutevisitor.Tpo -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
760 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-mutevisitor.Tpo $(DEPDIR)/libsciast_la-mutevisitor.Plo
761 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/mutevisitor.cpp' object='libsciast_la-mutevisitor.lo' libtool=yes @AMDEPBACKSLASH@
762 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
763 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-mutevisitor.lo `test -f 'src/cpp/mutevisitor.cpp' || echo '$(srcdir)/'`src/cpp/mutevisitor.cpp
764
765 libsciast_la-shortcutvisitor.lo: src/cpp/shortcutvisitor.cpp
766 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-shortcutvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
767 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-shortcutvisitor.Tpo $(DEPDIR)/libsciast_la-shortcutvisitor.Plo
768 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/shortcutvisitor.cpp' object='libsciast_la-shortcutvisitor.lo' libtool=yes @AMDEPBACKSLASH@
769 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
770 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-shortcutvisitor.lo `test -f 'src/cpp/shortcutvisitor.cpp' || echo '$(srcdir)/'`src/cpp/shortcutvisitor.cpp
771
772 libsciast_la-scilabexception.lo: src/cpp/scilabexception.cpp
773 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-scilabexception.lo -MD -MP -MF $(DEPDIR)/libsciast_la-scilabexception.Tpo -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
774 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-scilabexception.Tpo $(DEPDIR)/libsciast_la-scilabexception.Plo
775 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/scilabexception.cpp' object='libsciast_la-scilabexception.lo' libtool=yes @AMDEPBACKSLASH@
776 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
777 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-scilabexception.lo `test -f 'src/cpp/scilabexception.cpp' || echo '$(srcdir)/'`src/cpp/scilabexception.cpp
778
779 libsciast_la-macrovarvisitor.lo: src/cpp/macrovarvisitor.cpp
780 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT libsciast_la-macrovarvisitor.lo -MD -MP -MF $(DEPDIR)/libsciast_la-macrovarvisitor.Tpo -c -o libsciast_la-macrovarvisitor.lo `test -f 'src/cpp/macrovarvisitor.cpp' || echo '$(srcdir)/'`src/cpp/macrovarvisitor.cpp
781 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) $(DEPDIR)/libsciast_la-macrovarvisitor.Tpo $(DEPDIR)/libsciast_la-macrovarvisitor.Plo
782 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/macrovarvisitor.cpp' object='libsciast_la-macrovarvisitor.lo' libtool=yes @AMDEPBACKSLASH@
783 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
784 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciast_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o libsciast_la-macrovarvisitor.lo `test -f 'src/cpp/macrovarvisitor.cpp' || echo '$(srcdir)/'`src/cpp/macrovarvisitor.cpp
785
786 mostlyclean-libtool:
787         -rm -f *.lo
788
789 clean-libtool:
790         -rm -rf .libs _libs
791 install-libsciast_la_etcDATA: $(libsciast_la_etc_DATA)
792         @$(NORMAL_INSTALL)
793         @list='$(libsciast_la_etc_DATA)'; test -n "$(libsciast_la_etcdir)" || list=; \
794         if test -n "$$list"; then \
795           echo " $(MKDIR_P) '$(DESTDIR)$(libsciast_la_etcdir)'"; \
796           $(MKDIR_P) "$(DESTDIR)$(libsciast_la_etcdir)" || exit 1; \
797         fi; \
798         for p in $$list; do \
799           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
800           echo "$$d$$p"; \
801         done | $(am__base_list) | \
802         while read files; do \
803           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciast_la_etcdir)'"; \
804           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciast_la_etcdir)" || exit $$?; \
805         done
806
807 uninstall-libsciast_la_etcDATA:
808         @$(NORMAL_UNINSTALL)
809         @list='$(libsciast_la_etc_DATA)'; test -n "$(libsciast_la_etcdir)" || list=; \
810         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
811         dir='$(DESTDIR)$(libsciast_la_etcdir)'; $(am__uninstall_files_from_dir)
812 install-libsciast_la_includeHEADERS: $(libsciast_la_include_HEADERS)
813         @$(NORMAL_INSTALL)
814         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
815         if test -n "$$list"; then \
816           echo " $(MKDIR_P) '$(DESTDIR)$(libsciast_la_includedir)'"; \
817           $(MKDIR_P) "$(DESTDIR)$(libsciast_la_includedir)" || exit 1; \
818         fi; \
819         for p in $$list; do \
820           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
821           echo "$$d$$p"; \
822         done | $(am__base_list) | \
823         while read files; do \
824           echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(libsciast_la_includedir)'"; \
825           $(INSTALL_HEADER) $$files "$(DESTDIR)$(libsciast_la_includedir)" || exit $$?; \
826         done
827
828 uninstall-libsciast_la_includeHEADERS:
829         @$(NORMAL_UNINSTALL)
830         @list='$(libsciast_la_include_HEADERS)'; test -n "$(libsciast_la_includedir)" || list=; \
831         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
832         dir='$(DESTDIR)$(libsciast_la_includedir)'; $(am__uninstall_files_from_dir)
833
834 ID: $(am__tagged_files)
835         $(am__define_uniq_tagged_files); mkid -fID $$unique
836 tags: tags-am
837 TAGS: tags
838
839 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
840         set x; \
841         here=`pwd`; \
842         $(am__define_uniq_tagged_files); \
843         shift; \
844         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
845           test -n "$$unique" || unique=$$empty_fix; \
846           if test $$# -gt 0; then \
847             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
848               "$$@" $$unique; \
849           else \
850             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
851               $$unique; \
852           fi; \
853         fi
854 ctags: ctags-am
855
856 CTAGS: ctags
857 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
858         $(am__define_uniq_tagged_files); \
859         test -z "$(CTAGS_ARGS)$$unique" \
860           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
861              $$unique
862
863 GTAGS:
864         here=`$(am__cd) $(top_builddir) && pwd` \
865           && $(am__cd) $(top_srcdir) \
866           && gtags -i $(GTAGS_ARGS) "$$here"
867 cscopelist: cscopelist-am
868
869 cscopelist-am: $(am__tagged_files)
870         list='$(am__tagged_files)'; \
871         case "$(srcdir)" in \
872           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
873           *) sdir=$(subdir)/$(srcdir) ;; \
874         esac; \
875         for i in $$list; do \
876           if test -f "$$i"; then \
877             echo "$(subdir)/$$i"; \
878           else \
879             echo "$$sdir/$$i"; \
880           fi; \
881         done >> $(top_builddir)/cscope.files
882
883 distclean-tags:
884         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
885
886 distdir: $(DISTFILES)
887         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
888         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
889         list='$(DISTFILES)'; \
890           dist_files=`for file in $$list; do echo $$file; done | \
891           sed -e "s|^$$srcdirstrip/||;t" \
892               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
893         case $$dist_files in \
894           */*) $(MKDIR_P) `echo "$$dist_files" | \
895                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
896                            sort -u` ;; \
897         esac; \
898         for file in $$dist_files; do \
899           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
900           if test -d $$d/$$file; then \
901             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
902             if test -d "$(distdir)/$$file"; then \
903               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
904             fi; \
905             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
906               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
907               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
908             fi; \
909             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
910           else \
911             test -f "$(distdir)/$$file" \
912             || cp -p $$d/$$file "$(distdir)/$$file" \
913             || exit 1; \
914           fi; \
915         done
916 check-am: all-am
917         $(MAKE) $(AM_MAKEFLAGS) check-local
918 check: check-am
919 all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS) all-local
920 installdirs:
921         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciast_la_etcdir)" "$(DESTDIR)$(libsciast_la_includedir)"; do \
922           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
923         done
924 install: install-am
925 install-exec: install-exec-am
926 install-data: install-data-am
927 uninstall: uninstall-am
928
929 install-am: all-am
930         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
931
932 installcheck: installcheck-am
933 install-strip:
934         if test -z '$(STRIP)'; then \
935           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
936             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
937               install; \
938         else \
939           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
940             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
941             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
942         fi
943 mostlyclean-generic:
944
945 clean-generic:
946
947 distclean-generic:
948         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
949         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
950
951 maintainer-clean-generic:
952         @echo "This command is intended for maintainers to use"
953         @echo "it deletes files that may require special tools to rebuild."
954 clean: clean-am
955
956 clean-am: clean-generic clean-libtool clean-local \
957         clean-pkglibLTLIBRARIES mostlyclean-am
958
959 distclean: distclean-am
960         -rm -rf ./$(DEPDIR)
961         -rm -f Makefile
962 distclean-am: clean-am distclean-compile distclean-generic \
963         distclean-local distclean-tags
964
965 dvi: dvi-am
966
967 dvi-am:
968
969 html: html-am
970
971 html-am:
972
973 info: info-am
974
975 info-am:
976
977 install-data-am: install-data-local install-libsciast_la_etcDATA \
978         install-libsciast_la_includeHEADERS
979
980 install-dvi: install-dvi-am
981
982 install-dvi-am:
983
984 install-exec-am: install-pkglibLTLIBRARIES
985
986 install-html: install-html-am
987
988 install-html-am: install-html-local
989
990 install-info: install-info-am
991
992 install-info-am:
993
994 install-man:
995
996 install-pdf: install-pdf-am
997
998 install-pdf-am:
999
1000 install-ps: install-ps-am
1001
1002 install-ps-am:
1003
1004 installcheck-am:
1005
1006 maintainer-clean: maintainer-clean-am
1007         -rm -rf ./$(DEPDIR)
1008         -rm -f Makefile
1009 maintainer-clean-am: distclean-am maintainer-clean-generic
1010
1011 mostlyclean: mostlyclean-am
1012
1013 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1014         mostlyclean-libtool
1015
1016 pdf: pdf-am
1017
1018 pdf-am:
1019
1020 ps: ps-am
1021
1022 ps-am:
1023
1024 uninstall-am: uninstall-libsciast_la_etcDATA \
1025         uninstall-libsciast_la_includeHEADERS \
1026         uninstall-pkglibLTLIBRARIES
1027
1028 .MAKE: check-am install-am install-strip
1029
1030 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1031         check-local clean clean-generic clean-libtool clean-local \
1032         clean-pkglibLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1033         distclean-compile distclean-generic distclean-libtool \
1034         distclean-local distclean-tags distdir dvi dvi-am html html-am \
1035         info info-am install install-am install-data install-data-am \
1036         install-data-local install-dvi install-dvi-am install-exec \
1037         install-exec-am install-html install-html-am \
1038         install-html-local install-info install-info-am \
1039         install-libsciast_la_etcDATA \
1040         install-libsciast_la_includeHEADERS install-man install-pdf \
1041         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1042         install-ps-am install-strip installcheck installcheck-am \
1043         installdirs maintainer-clean maintainer-clean-generic \
1044         mostlyclean mostlyclean-compile mostlyclean-generic \
1045         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1046         uninstall-am uninstall-libsciast_la_etcDATA \
1047         uninstall-libsciast_la_includeHEADERS \
1048         uninstall-pkglibLTLIBRARIES
1049
1050
1051 # This target enables tests for Scilab
1052 check-local: $(top_builddir)/scilab-bin test
1053         if test -d $(mydatadir)/tests; then \
1054           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1055         fi
1056 check-code:
1057         if test -f build.xml; then \
1058                 $(ANT) checkstyle; \
1059         fi
1060         if test -x "$(SPLINT)"; then \
1061                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1062         fi
1063 @NEED_JAVA_TRUE@java:
1064 # Some configurations needs to export JAVA_HOME in the current env
1065 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1066 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1067 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1068 @NEED_JAVA_TRUE@                $(ANT); \
1069 @NEED_JAVA_TRUE@        fi
1070
1071 @NEED_JAVA_TRUE@clean-java:
1072 # Some configurations needs to export JAVA_HOME in the current env
1073 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1074 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1075 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1076 @NEED_JAVA_TRUE@                $(ANT) clean; \
1077 @NEED_JAVA_TRUE@        fi;
1078
1079 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1080 # We call the target swig-build on the variable SWIG_WRAPPERS
1081
1082 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1083 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1084 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1085 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1086 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1087 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1088 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1089 @SWIG_TRUE@             done; \
1090 @SWIG_TRUE@     fi
1091
1092 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1093 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1094 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1095 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1096 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1097 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1098 @SWIG_TRUE@             done; \
1099 @SWIG_TRUE@     fi
1100
1101 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1102 # We call the target swig-build on the variable SWIG_WRAPPERS
1103
1104 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1105 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1106 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1107 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1108 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1109 @GIWS_TRUE@                     $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR --throws-exception-on-error --description-file $$file; \
1110 @GIWS_TRUE@             done; \
1111 @GIWS_TRUE@     fi
1112
1113 @GIWS_TRUE@giws-exception:
1114 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1115 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1116 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1117
1118 macros:
1119         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1120                 echo "Error : Cannot build $< : Scilab has not been built"; \
1121         else \
1122                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1123         fi)
1124
1125 # Removes the macros
1126 clean-macros:
1127 # Removes macros (*.bin generated from .sci)
1128         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1129                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1130                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1131         done
1132
1133 test:
1134 # More tests could be added here
1135         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1136         if test -f build.xml -a $$USEANT -eq 1; then \
1137                 $(ANT) test; \
1138         fi
1139
1140 all-local: $(TARGETS_ALL)
1141
1142 .sci.bin:
1143         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1144         echo "Error : Cannot build $< : Scilab has not been build"; \
1145         else \
1146         echo "Creating $@"; \
1147         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1148         fi )
1149
1150 install-html-local:
1151
1152 install-data-local-local:
1153 # Mainly for javasci
1154         @if test -d $(srcdir)/javadoc; then \
1155                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1156         fi
1157 # If the user wants the help sources to be installed
1158 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1159 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1160 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1161 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1162 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1163 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1164 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1165 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1166 @INSTALL_HELP_XML_TRUE@           done ; \
1167 @INSTALL_HELP_XML_TRUE@         fi; \
1168 @INSTALL_HELP_XML_TRUE@  fi; \
1169 @INSTALL_HELP_XML_TRUE@ done; \
1170 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1171 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1172 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1173 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1174 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1175 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1176 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1177 @INSTALL_HELP_XML_TRUE@           done ; \
1178 @INSTALL_HELP_XML_TRUE@         fi; \
1179 @INSTALL_HELP_XML_TRUE@ fi
1180 install-data-local:
1181 # Install the tests
1182         @echo "-------- Install tests (if any) --------"; \
1183         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1184           if test -d $(srcdir)/$$dir/; then \
1185             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1186                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1187                     if test -d "$(srcdir)/$$dir/$$file"; then \
1188                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1189                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1190                     else \
1191                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1192                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1193                     fi \
1194                   done; \
1195           fi; \
1196         done
1197 # Install the help chapter
1198         @echo "-------- Install the help chapter (if any) --------"; \
1199         for lang in $(HELP_CHAPTERLANG); do \
1200                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1201                 if test -f $$HELPFILE; then \
1202                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1203                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1204                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1205                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1206                 fi; \
1207         done
1208 # Install the demos & examples
1209         @echo "-------- Install demos & examples (if any) --------"; \
1210         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1211           if test -d $(srcdir)/$$dir/; then \
1212             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1213                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1214                     if test -d "$(srcdir)/$$dir/$$file"; then \
1215                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1216                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1217                     else \
1218                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1219                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1220                     fi \
1221                   done; \
1222           fi; \
1223         done
1224 # Install the macros
1225         @echo "-------- Install macros (if any) --------"; \
1226         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1227           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1228                 if test -d $(srcdir)/$$dir/; then \
1229                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1230                         if test -n "$(MACROSSPECIALEXT)"; then \
1231                                 specialExtDir=""; \
1232                                 for specialExt in $(MACROSSPECIALEXT); do \
1233                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1234                                 done; \
1235                                 FILELIST="$$FILELIST $$specialExtDir"; \
1236                         fi; \
1237                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1238                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1239                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1240                   done; \
1241                 fi; \
1242         done
1243 # Install java files (.jar)
1244         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1245         echo "-------- Install jar files --------"; \
1246     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1247           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1248                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1249                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1250           done ; \
1251         fi
1252
1253 ########### CLEAN ###################
1254 # Clean help (generated automatically by Scilab)
1255 # It used to clean the macro (clean-macros) but this was causing
1256 # make clean && make to fail Scilab startup
1257 @NEED_JAVA_TRUE@clean-local: clean-java
1258 @NEED_JAVA_FALSE@clean-local:
1259
1260 distclean-local:
1261         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1262
1263 .PHONY: macros java swig giws
1264
1265 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1266 # Otherwise a system limit (for SysV at least) may be exceeded.
1267 .NOEXPORT: